info:
  name: Get UserInfo
  type: http
  seq: 4

http:
  method: GET
  url: "{{shibbolethServerUri}}/idp/profile/oidc/userinfo?client_id={{clientId}}&client_secret={{clientSecret}}"
  headers:
    - name: Content-Type
      value: application/x-www-form-urlencoded
  params:
    - name: client_id
      value: "{{clientId}}"
      type: query
    - name: client_secret
      value: "{{clientSecret}}"
      type: query
  auth:
    type: bearer
    token: "{{accessToken}}"

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: UserInfo data
    request:
      url: https://shibidp.unipr.it/idp/profile/oidc/userinfo?client_id={{shibbolethClientId}}&client_secret={{shibbolethClientSecret}}
      method: GET
      headers:
        - name: Content-Type
          value: application/x-www-form-urlencoded
      params:
        - name: client_id
          value: "{{shibbolethClientId}}"
          type: query
        - name: client_secret
          value: "{{shibbolethClientSecret}}"
          type: query
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Wed, 19 Aug 2026 08:58:14 GMT
        - name: server
          value: Jetty(11.0.19)
        - name: strict-transport-security
          value: max-age=63072000; includeSubDomains, max-age=63072000 ; includeSubDomains ; preload
        - name: x-content-type-options
          value: nosniff
        - name: x-frame-options
          value: SAMEORIGIN, DENY
        - name: cache-control
          value: no-store
        - name: content-type
          value: application/json;charset=utf-8
        - name: content-security-policy
          value: frame-ancestors 'none'; base-uri 'none'; script-src 'self' https://shibidp.unipr.it 'unsafe-inline';
        - name: keep-alive
          value: timeout=2, max=100
        - name: connection
          value: Keep-Alive
        - name: transfer-encoding
          value: chunked
      body:
        type: json
        data: |-
          {
            "sub": "b0a502f6ad90427f1e6ca7c85a76cccb8b935af4d27504211a0400b42f90c141@unipr.it",
            "codicefiscale": "MMMPPL74T17E463A",
            "eduPersonScopedAffiliation": "staff@unipr.it alum@unipr.it member@unipr.it",
            "name": "Pier Paolo MAMMI",
            "eduPersonPrincipalName": "pierpaolo.mammi@unipr.it",
            "given_name": "Pier Paolo",
            "family_name": "MAMMI",
            "matricola": "135097",
            "email": "pierpaolo.mammi@unipr.it"
          }
